#
# Generated Makefile - do not edit!
#
# Edit the Makefile in the project folder instead (../Makefile). Each target
# has a -pre and a -post target defined where you can add customized code.
#
# This makefile implements configuration specific macros and targets.


# Environment
MKDIR=mkdir
CP=cp
GREP=grep
NM=nm
CCADMIN=CCadmin
RANLIB=ranlib
CC=gcc
CCC=g++
CXX=g++
FC=gfortran
AS=as

# Macros
CND_PLATFORM=GNU-Linux
CND_DLIB_EXT=so
CND_CONF=Release
CND_DISTDIR=dist
CND_BUILDDIR=build

# Include project Makefile
include Makefile

# Object Directory
OBJECTDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}

# Object Files
OBJECTFILES= \
	${OBJECTDIR}/_ext/98fc376a/Config.o \
	${OBJECTDIR}/_ext/98fc376a/Display.o \
	${OBJECTDIR}/_ext/98fc376a/Engine.o \
	${OBJECTDIR}/_ext/98fc376a/Font.o \
	${OBJECTDIR}/_ext/98fc376a/GUIElements.o \
	${OBJECTDIR}/_ext/98fc376a/Globals.o \
	${OBJECTDIR}/_ext/98fc376a/Gui.o \
	${OBJECTDIR}/_ext/98fc376a/Input.o \
	${OBJECTDIR}/_ext/98fc376a/Logging.o \
	${OBJECTDIR}/_ext/98fc376a/MemoryManager.o \
	${OBJECTDIR}/_ext/98fc376a/ParticleSystem.o \
	${OBJECTDIR}/_ext/98fc376a/Primitives.o \
	${OBJECTDIR}/_ext/98fc376a/RNG.o \
	${OBJECTDIR}/_ext/98fc376a/ResourceManager.o \
	${OBJECTDIR}/_ext/98fc376a/Sound.o \
	${OBJECTDIR}/_ext/98fc376a/StateMachine.o \
	${OBJECTDIR}/_ext/98fc376a/TooltipSystem.o \
	${OBJECTDIR}/_ext/98fc376a/Unit.o


# C Compiler Flags
CFLAGS=

# CC Compiler Flags
CCFLAGS=
CXXFLAGS=

# Fortran Compiler Flags
FFLAGS=

# Assembler Flags
ASFLAGS=

# Link Libraries and Options
LDLIBSOPTIONS=

# Build Targets
.build-conf: ${BUILD_SUBPROJECTS}
	"${MAKE}"  -f nbproject/Makefile-${CND_CONF}.mk ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/framework.a

${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/framework.a: ${OBJECTFILES}
	${MKDIR} -p ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}
	${RM} ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/framework.a
	${AR} -rv ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/framework.a ${OBJECTFILES} 
	$(RANLIB) ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/framework.a

${OBJECTDIR}/_ext/98fc376a/Config.o: ../Source/Config.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Config.o ../Source/Config.cpp

${OBJECTDIR}/_ext/98fc376a/Display.o: ../Source/Display.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Display.o ../Source/Display.cpp

${OBJECTDIR}/_ext/98fc376a/Engine.o: ../Source/Engine.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Engine.o ../Source/Engine.cpp

${OBJECTDIR}/_ext/98fc376a/Font.o: ../Source/Font.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Font.o ../Source/Font.cpp

${OBJECTDIR}/_ext/98fc376a/GUIElements.o: ../Source/GUIElements.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/GUIElements.o ../Source/GUIElements.cpp

${OBJECTDIR}/_ext/98fc376a/Globals.o: ../Source/Globals.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Globals.o ../Source/Globals.cpp

${OBJECTDIR}/_ext/98fc376a/Gui.o: ../Source/Gui.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Gui.o ../Source/Gui.cpp

${OBJECTDIR}/_ext/98fc376a/Input.o: ../Source/Input.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Input.o ../Source/Input.cpp

${OBJECTDIR}/_ext/98fc376a/Logging.o: ../Source/Logging.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Logging.o ../Source/Logging.cpp

${OBJECTDIR}/_ext/98fc376a/MemoryManager.o: ../Source/MemoryManager.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/MemoryManager.o ../Source/MemoryManager.cpp

${OBJECTDIR}/_ext/98fc376a/ParticleSystem.o: ../Source/ParticleSystem.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/ParticleSystem.o ../Source/ParticleSystem.cpp

${OBJECTDIR}/_ext/98fc376a/Primitives.o: ../Source/Primitives.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Primitives.o ../Source/Primitives.cpp

${OBJECTDIR}/_ext/98fc376a/RNG.o: ../Source/RNG.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/RNG.o ../Source/RNG.cpp

${OBJECTDIR}/_ext/98fc376a/ResourceManager.o: ../Source/ResourceManager.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/ResourceManager.o ../Source/ResourceManager.cpp

${OBJECTDIR}/_ext/98fc376a/Sound.o: ../Source/Sound.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Sound.o ../Source/Sound.cpp

${OBJECTDIR}/_ext/98fc376a/StateMachine.o: ../Source/StateMachine.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/StateMachine.o ../Source/StateMachine.cpp

${OBJECTDIR}/_ext/98fc376a/TooltipSystem.o: ../Source/TooltipSystem.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/TooltipSystem.o ../Source/TooltipSystem.cpp

${OBJECTDIR}/_ext/98fc376a/Unit.o: ../Source/Unit.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/98fc376a
	${RM} "$@.d"
	$(COMPILE.cc) -O2 -I../Include -I../../glm -I../../SDL2/include -I../../SDL2_image/include -I../../SDL2_mixer/include -I../../tinyxml2 -I/usr/include/boost -std=c++11 -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/98fc376a/Unit.o ../Source/Unit.cpp

# Subprojects
.build-subprojects:

# Clean Targets
.clean-conf: ${CLEAN_SUBPROJECTS}
	${RM} -r ${CND_BUILDDIR}/${CND_CONF}

# Subprojects
.clean-subprojects:

# Enable dependency checking
.dep.inc: .depcheck-impl

include .dep.inc
